<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>LibArch: src/lib_memmgt.h File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">LibArch
   </div>
   <div id="projectbrief">Library architecture and framework</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Macros</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">lib_memmgt.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;stdlib.h&gt;</code><br/>
</div>
<p><a href="../../db/d68/lib__memmgt_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dec/structlib__memdscr__str.html">lib_memdscr_str</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Memory descriptor structure.  <a href="../../da/dec/structlib__memdscr__str.html#details">More...</a><br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:gacfa30c2c1e697da904265b91b9c60d2f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da6/group__libarch__memmgt.html#gacfa30c2c1e697da904265b91b9c60d2f">LIB_MEMMGT_SUCCESS</a>&#160;&#160;&#160;(0)</td></tr>
<tr class="separator:gacfa30c2c1e697da904265b91b9c60d2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga21728661e7141fcfd212ca8286a7947b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da6/group__libarch__memmgt.html#ga21728661e7141fcfd212ca8286a7947b">LIB_MEMMGT_ERROR</a>&#160;&#160;&#160;(-1)</td></tr>
<tr class="separator:ga21728661e7141fcfd212ca8286a7947b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:ga933f44304562f9591104d57b7868ebc3"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="../../da/dec/structlib__memdscr__str.html">lib_memdscr_str</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da6/group__libarch__memmgt.html#ga933f44304562f9591104d57b7868ebc3">lib_memdscr_t</a></td></tr>
<tr class="memdesc:ga933f44304562f9591104d57b7868ebc3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Memory descriptor structure.  <a href="../../d7/da6/group__libarch__memmgt.html#ga933f44304562f9591104d57b7868ebc3">More...</a><br/></td></tr>
<tr class="separator:ga933f44304562f9591104d57b7868ebc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:ga06fc87d81c62e9abb8790b6e5713c55b"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom">{ <br/>
&#160;&#160;<a class="el" href="../../d7/da6/group__libarch__memmgt.html#gga06fc87d81c62e9abb8790b6e5713c55ba98a90dd78f7e0d087e7d9c66505011c7">LIB_SMEM_VFAST</a> = 0, 
<a class="el" href="../../d7/da6/group__libarch__memmgt.html#gga06fc87d81c62e9abb8790b6e5713c55ba0554f0354c84251e347c0ee79ffe046d">LIB_SMEM_FAST</a>, 
<a class="el" href="../../d7/da6/group__libarch__memmgt.html#gga06fc87d81c62e9abb8790b6e5713c55bab6e0c7570cd8f2ada826e36d607d8abb">LIB_SMEM_MED</a>, 
<a class="el" href="../../d7/da6/group__libarch__memmgt.html#gga06fc87d81c62e9abb8790b6e5713c55badc4290cb2bdcc915f3156f39ce3ea361">LIB_SMEM_SLOW</a>, 
<br/>
&#160;&#160;<a class="el" href="../../d7/da6/group__libarch__memmgt.html#gga06fc87d81c62e9abb8790b6e5713c55ba5e2798bb86ffcd081fbd1a7fad3571a2">LIB_PMEM_MED</a>, 
<a class="el" href="../../d7/da6/group__libarch__memmgt.html#gga06fc87d81c62e9abb8790b6e5713c55ba106f7b37f3b11574158123d265359eeb">LIB_PMEM_SLOW</a>, 
<a class="el" href="../../d7/da6/group__libarch__memmgt.html#gga06fc87d81c62e9abb8790b6e5713c55ba1cb4f966271cb92f79ba8229136f3a70">LIB_MEMTYPE_N</a>
<br/>
 }</td></tr>
<tr class="memdesc:ga06fc87d81c62e9abb8790b6e5713c55b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Memory types in terms of speed and volatility.  <a href="../../d7/da6/group__libarch__memmgt.html#ga06fc87d81c62e9abb8790b6e5713c55b">More...</a><br/></td></tr>
<tr class="separator:ga06fc87d81c62e9abb8790b6e5713c55b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gaeeb7c8294fcd4640e4eaf7a741397032"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da6/group__libarch__memmgt.html#gaeeb7c8294fcd4640e4eaf7a741397032">lib_smem_vinit</a> (void *handle, void *base, size_t size)</td></tr>
<tr class="memdesc:gaeeb7c8294fcd4640e4eaf7a741397032"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function lib_smem_vinit performs necessary initialization for the very fast scratch heap memory allocation.  <a href="../../d7/da6/group__libarch__memmgt.html#gaeeb7c8294fcd4640e4eaf7a741397032">More...</a><br/></td></tr>
<tr class="separator:gaeeb7c8294fcd4640e4eaf7a741397032"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadd591cf0185afae77c89e62a35af6395"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da6/group__libarch__memmgt.html#gadd591cf0185afae77c89e62a35af6395">lib_smem_finit</a> (void *handle, void *base, size_t size)</td></tr>
<tr class="memdesc:gadd591cf0185afae77c89e62a35af6395"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function lib_smem_finit performs necessary initialization for the fast scratch heap memory allocation.  <a href="../../d7/da6/group__libarch__memmgt.html#gadd591cf0185afae77c89e62a35af6395">More...</a><br/></td></tr>
<tr class="separator:gadd591cf0185afae77c89e62a35af6395"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga991a1c6d4b40f4b4750c7fd1f8aa73f6"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da6/group__libarch__memmgt.html#ga991a1c6d4b40f4b4750c7fd1f8aa73f6">lib_smem_minit</a> (void *handle, void *base, size_t size)</td></tr>
<tr class="memdesc:ga991a1c6d4b40f4b4750c7fd1f8aa73f6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function lib_smem_minit performs necessary initialization for the medium speed scratch heap memory allocation.  <a href="../../d7/da6/group__libarch__memmgt.html#ga991a1c6d4b40f4b4750c7fd1f8aa73f6">More...</a><br/></td></tr>
<tr class="separator:ga991a1c6d4b40f4b4750c7fd1f8aa73f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1dd9ae589bdfe68ced145885ea4c4789"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da6/group__libarch__memmgt.html#ga1dd9ae589bdfe68ced145885ea4c4789">lib_smem_sinit</a> (void *handle, void *base, size_t size)</td></tr>
<tr class="memdesc:ga1dd9ae589bdfe68ced145885ea4c4789"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function lib_smem_sinit performs necessary initialization for the slow scratch heap memory allocation.  <a href="../../d7/da6/group__libarch__memmgt.html#ga1dd9ae589bdfe68ced145885ea4c4789">More...</a><br/></td></tr>
<tr class="separator:ga1dd9ae589bdfe68ced145885ea4c4789"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga24093174e441c683650863236dcb9806"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da6/group__libarch__memmgt.html#ga24093174e441c683650863236dcb9806">lib_smem_valloc</a> (void *handle, size_t size, size_t align)</td></tr>
<tr class="memdesc:ga24093174e441c683650863236dcb9806"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function lib_smem_valloc allocates a memory block from the very fast scratch heap. It will also align the allocated memory block as requested.  <a href="../../d7/da6/group__libarch__memmgt.html#ga24093174e441c683650863236dcb9806">More...</a><br/></td></tr>
<tr class="separator:ga24093174e441c683650863236dcb9806"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga51d763b1f89ef58e83cb9e4bc7546ba8"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da6/group__libarch__memmgt.html#ga51d763b1f89ef58e83cb9e4bc7546ba8">lib_smem_falloc</a> (void *handle, size_t size, size_t align)</td></tr>
<tr class="memdesc:ga51d763b1f89ef58e83cb9e4bc7546ba8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function lib_smem_falloc allocates a memory block from the fast scratch heap. It will also align the address of the allocated memory block as requested.  <a href="../../d7/da6/group__libarch__memmgt.html#ga51d763b1f89ef58e83cb9e4bc7546ba8">More...</a><br/></td></tr>
<tr class="separator:ga51d763b1f89ef58e83cb9e4bc7546ba8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaac0047f2fe5ce1dfad45fc0333d906dc"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da6/group__libarch__memmgt.html#gaac0047f2fe5ce1dfad45fc0333d906dc">lib_smem_malloc</a> (void *handle, size_t size, size_t align)</td></tr>
<tr class="memdesc:gaac0047f2fe5ce1dfad45fc0333d906dc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function lib_smem_malloc allocates a memory block from the medium speed scratch heap. It will also align the address of the allocated memory block as requested.  <a href="../../d7/da6/group__libarch__memmgt.html#gaac0047f2fe5ce1dfad45fc0333d906dc">More...</a><br/></td></tr>
<tr class="separator:gaac0047f2fe5ce1dfad45fc0333d906dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga08b73e8bf61fb50e20e08f7df4de636b"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da6/group__libarch__memmgt.html#ga08b73e8bf61fb50e20e08f7df4de636b">lib_smem_salloc</a> (void *handle, size_t size, size_t align)</td></tr>
<tr class="memdesc:ga08b73e8bf61fb50e20e08f7df4de636b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function lib_smem_salloc allocates a memory block from the slow scratch heap. It will also align the address of the allocated memory block as requested.  <a href="../../d7/da6/group__libarch__memmgt.html#ga08b73e8bf61fb50e20e08f7df4de636b">More...</a><br/></td></tr>
<tr class="separator:ga08b73e8bf61fb50e20e08f7df4de636b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga65c30f7a20c6e359df9d73db0c9078c1"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da6/group__libarch__memmgt.html#ga65c30f7a20c6e359df9d73db0c9078c1">lib_smem_vreset</a> (void *handle)</td></tr>
<tr class="memdesc:ga65c30f7a20c6e359df9d73db0c9078c1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function lib_smem_vreset resets the very fast scratch heap and destroys all allocated memory blocks in it.  <a href="../../d7/da6/group__libarch__memmgt.html#ga65c30f7a20c6e359df9d73db0c9078c1">More...</a><br/></td></tr>
<tr class="separator:ga65c30f7a20c6e359df9d73db0c9078c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga18470bba549f0d9c4a6d98a1f615b8c2"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da6/group__libarch__memmgt.html#ga18470bba549f0d9c4a6d98a1f615b8c2">lib_smem_freset</a> (void *handle)</td></tr>
<tr class="memdesc:ga18470bba549f0d9c4a6d98a1f615b8c2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function lib_smem_freset resets the fast scratch heap and destroys all allocated memory blocks in it.  <a href="../../d7/da6/group__libarch__memmgt.html#ga18470bba549f0d9c4a6d98a1f615b8c2">More...</a><br/></td></tr>
<tr class="separator:ga18470bba549f0d9c4a6d98a1f615b8c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga38dbf46a5af66e691ba20ffb61f9932e"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da6/group__libarch__memmgt.html#ga38dbf46a5af66e691ba20ffb61f9932e">lib_smem_mreset</a> (void *handle)</td></tr>
<tr class="memdesc:ga38dbf46a5af66e691ba20ffb61f9932e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function lib_smem_mreset resets the medium speed scratch heap and destroys all allocated memory blocks in it.  <a href="../../d7/da6/group__libarch__memmgt.html#ga38dbf46a5af66e691ba20ffb61f9932e">More...</a><br/></td></tr>
<tr class="separator:ga38dbf46a5af66e691ba20ffb61f9932e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa3fb30e824c80ec62d4e7847f292108f"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da6/group__libarch__memmgt.html#gaa3fb30e824c80ec62d4e7847f292108f">lib_smem_sreset</a> (void *handle)</td></tr>
<tr class="memdesc:gaa3fb30e824c80ec62d4e7847f292108f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function lib_smem_mreset resets the slow scratch heap and destroys all allocated memory blocks in it.  <a href="../../d7/da6/group__libarch__memmgt.html#gaa3fb30e824c80ec62d4e7847f292108f">More...</a><br/></td></tr>
<tr class="separator:gaa3fb30e824c80ec62d4e7847f292108f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeae499cb566d6411b938107d3ffeb144"><td class="memItemLeft" align="right" valign="top">static void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da6/group__libarch__memmgt.html#gaeae499cb566d6411b938107d3ffeb144">lib_pmem_malloc</a> (void *handle, size_t size, size_t align)</td></tr>
<tr class="memdesc:gaeae499cb566d6411b938107d3ffeb144"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function lib_pmem_malloc allocates a memory block from the medium speed permanent heap. It will also align the address of the allocated memory block as requested.  <a href="../../d7/da6/group__libarch__memmgt.html#gaeae499cb566d6411b938107d3ffeb144">More...</a><br/></td></tr>
<tr class="separator:gaeae499cb566d6411b938107d3ffeb144"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga306a1aa220281f0b6d79b12928bfeff8"><td class="memItemLeft" align="right" valign="top">static void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da6/group__libarch__memmgt.html#ga306a1aa220281f0b6d79b12928bfeff8">lib_pmem_salloc</a> (void *handle, size_t size, size_t align)</td></tr>
<tr class="memdesc:ga306a1aa220281f0b6d79b12928bfeff8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function lib_pmem_salloc allocates a memory block from the slow permanent heap. It will also align the address of the allocated memory block as requested.  <a href="../../d7/da6/group__libarch__memmgt.html#ga306a1aa220281f0b6d79b12928bfeff8">More...</a><br/></td></tr>
<tr class="separator:ga306a1aa220281f0b6d79b12928bfeff8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafeda2ec3f28d9ebb87a8adcecbb0f414"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da6/group__libarch__memmgt.html#gafeda2ec3f28d9ebb87a8adcecbb0f414">lib_pmem_mfree</a> (void *handle, void *mem_ptr)</td></tr>
<tr class="memdesc:gafeda2ec3f28d9ebb87a8adcecbb0f414"><td class="mdescLeft">&#160;</td><td class="mdescRight">Refer to <a class="el" href="../../db/d68/lib__memmgt_8h.html">lib_memmgt.h</a> for detailed documentation.  <a href="../../d7/da6/group__libarch__memmgt.html#gafeda2ec3f28d9ebb87a8adcecbb0f414">More...</a><br/></td></tr>
<tr class="separator:gafeda2ec3f28d9ebb87a8adcecbb0f414"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab12e1d41b3d71633c9ab2d8818510f63"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da6/group__libarch__memmgt.html#gab12e1d41b3d71633c9ab2d8818510f63">lib_pmem_sfree</a> (void *handle, void *mem_ptr)</td></tr>
<tr class="memdesc:gab12e1d41b3d71633c9ab2d8818510f63"><td class="mdescLeft">&#160;</td><td class="mdescRight">Refer to <a class="el" href="../../db/d68/lib__memmgt_8h.html">lib_memmgt.h</a> for detailed documentation.  <a href="../../d7/da6/group__libarch__memmgt.html#gab12e1d41b3d71633c9ab2d8818510f63">More...</a><br/></td></tr>
<tr class="separator:gab12e1d41b3d71633c9ab2d8818510f63"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Mar 6 2017 14:10:51 for LibArch by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="../../doxygen.png" alt="doxygen"/>
</a> 1.8.6
</small></address>
</body>
</html>
